Retrieve card transactions
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"page": 123,
"count": 123,
"total_pages": 123,
"total_count": 123,
"data": [
{
"id": "<string>",
"category": "adjustment",
"amount": "<string>",
"currency": "usd",
"description": "<string>",
"posted_at": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"billing_amount": "<string>",
"merchant_category_code": "<string>",
"merchant_name": "<string>",
"merchant_location": "<string>",
"local_transaction_details": {
"amount": "<string>",
"currency": "<string>",
"exchange_rate": "<string>"
},
"authorized_at": "<string>",
"status": "pending",
"crypto_transaction_details": {
"from_address": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"chain": "arbitrum",
"memo": "<string>"
},
"related_transaction_ids": [
"<string>"
],
"stripe_issuing_transaction_id": "<string>"
}
],
"pagination_token": "<string>"
}Cards
Retrieve card transactions
Retrieve completed card transactions and card-related crypto transaction activities
GET
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
transactions
Retrieve card transactions
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"page": 123,
"count": 123,
"total_pages": 123,
"total_count": 123,
"data": [
{
"id": "<string>",
"category": "adjustment",
"amount": "<string>",
"currency": "usd",
"description": "<string>",
"posted_at": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"billing_amount": "<string>",
"merchant_category_code": "<string>",
"merchant_name": "<string>",
"merchant_location": "<string>",
"local_transaction_details": {
"amount": "<string>",
"currency": "<string>",
"exchange_rate": "<string>"
},
"authorized_at": "<string>",
"status": "pending",
"crypto_transaction_details": {
"from_address": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"chain": "arbitrum",
"memo": "<string>"
},
"related_transaction_ids": [
"<string>"
],
"stripe_issuing_transaction_id": "<string>"
}
],
"pagination_token": "<string>"
}Path Parameters
Query Parameters
A category family to filter the transactions by. If set to cards, only card purchase related transactions will be returned. If set to crypto, only funding related transactions will be returned.` If not provided, all posted transactions will be returned.
Available options:
cards, crypto Response
Card transactions
Was this page helpful?